public class Kříž
{
    private int x, y, šířka, výška;
    private Barva barva;
    private boolean šikmý;
    
    public Kříž(int x, int y, int šířka, int výška, Barva barva, boolean šikmý){
        this.x = x;
        this.y = y;
        this.šířka = šířka;
        this.výška = výška;
        this.barva = barva;
        this.šikmý = šikmý;
        nakresli();
    }
    
    public Kříž(){
        this(0, 0, 100, 100, Barva.MODRÁ, false);
    }
    
    public void nakresli(){
        int tloušťka = 10;
        if(šikmý == true){
            Plátno.getPlátno().setBarvaPopředí(barva);
            int odmocnina = (int)Math.sqrt(tloušťka*tloušťka / 2);
            int[] xs = new int[]{odmocnina, šířka, šířka - odmocnina, 0};
            int[] ys = new int[]{0, výška - odmocnina, výška, odmocnina};
            Plátno.getPlátno().zaplň(new java.awt.Polygon(xs, ys, 4));
            xs = new int[]{šířka - odmocnina, šířka, odmocnina, 0};
            ys = new int[]{0, odmocnina, výška, výška - odmocnina};
            Plátno.getPlátno().zaplň(new java.awt.Polygon(xs, ys, 4));
        }
        else{
            //svisla
            Obdélník svislý = 
                new Obdélník(x + (šířka/2)-(tloušťka/2), y, tloušťka, výška, barva);
            //vodorovna
            Obdélník vodorovný = 
                new Obdélník(x, y + (výška/2)-(tloušťka/2), šířka, tloušťka, barva);
            svislý.nakresli();
            vodorovný.nakresli();
        }
    }
}