public class SpojitýHad extends Had
{
    private int spojitost;  
    private Barva barva2;
    
    public SpojitýHad(int x, int y, int šířka, int výška, Barva barva, int délka, int spojitost, Barva barva2){
        super(x, y, šířka, výška, barva, délka);
        this.spojitost = spojitost;
        this.barva2 = barva2;
        nakresli();
    }  
    
    public SpojitýHad(){
        this(0, 0, 50, 50, Barva.MODRÁ, 3, 10, Barva.ČERVENÁ);
    }
    
    public void nakresli(){
        super.nakresli();
        if(spojitost < 1){
            spojitost = 1;
        }
        Obdélník obdélník = new Obdélník(x + šířka/2, y + výška/2 - spojitost/2, šířka*délka - šířka, spojitost, barva);
        obdélník.nakresli();
    }
}