public class Kříž
{
    private int x, y, šířka, výška;
    private Barva barva;
    
    public Kříž(int x, int y, int šířka, int výška, Barva barva){
        this.x = x;
        this.y = y;
        this.šířka = šířka;
        this.výška = výška;
        this.barva = barva;
        nakresli();
    }
    
    public Kříž(){
        this(0, 0, 100, 100, Barva.MODRÁ);
    }
    
    public void nakresli(){
        int tloušťka = 10;
        //svisla
        Obdélník svislý = 
            new Obdélník(x + (šířka/2)-(tloušťka/2), y, tloušťka, výška, barva);
        //vodorovna
        Obdélník vodorovný = 
            new Obdélník(x, y + (výška/2)-(tloušťka/2), šířka, tloušťka, barva);
        svislý.nakresli();
        vodorovný.nakresli();
    }
}