import javax.swing.JFileChooser;
import java.io.*;

public class Kreslič
{
    private Kreslič(){}   
    
    public static void nakresli(){
        JFileChooser vybírač = new JFileChooser("C:");
        if(vybírač.showOpenDialog(null) == JFileChooser.APPROVE_OPTION){
            String cesta = vybírač.getSelectedFile().getAbsolutePath();
            BufferedReader čteč = null;
            try{
                čteč = new BufferedReader(new InputStreamReader(new FileInputStream(cesta), "CP1250"));
                String řádek = "";
                while((řádek = čteč.readLine()) != null){
                    nakresliTvar(řádek);
                }
            }catch(IOException e){}
            finally{
                try{
                    if(čteč != null){ čteč.close();}
                }
                catch(IOException e){}
            }
        }
    } 
    
    private static int početTvarů;
    private static void nakresliTvar(String tvar){
        int x = početTvarů * 100;
        if(tvar.equals("čtverec")){
            Obdélník obdélník = new Obdélník(x, 0, 100, 100);
            obdélník.nakresli();
            početTvarů++;
        }
        else if(tvar.equals("kruh")){
            Elipsa elipsa = new Elipsa(x, 0, 100, 100);
            elipsa.nakresli();
            početTvarů++;
        }
        else if(tvar.equals("trojúhelník")){
            Trojúhelník trojúhelník = new Trojúhelník(x, 0, 100, 100);
            trojúhelník.nakresli();
            početTvarů++;
        }
        else{
            System.out.println("Toto nakreslit neumím: " + tvar);
        }
    }
}